#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);

    string b1,b2,res;
    cin >> b1 >> b2;

    if(b1.length() > b2.length())
    {
        b2.insert(0,b1.length()-b2.length(),'0'-1);
    }
    else if(b1.length() < b2.length())
    {
        b1.insert(0,b2.length()-b1.length(),'0'-1);
    }
    for(int i = 0;i<b1.length();i++)
    {
        if(b1[i] == b2[i])
        {
            res += b1[i];
            res += b2[i];
        }
        else
        {
            if(b1[i] > b2[i])
                res += (b1[i]);
            else
                res += (b2[i]);
        }
    }
    cout << res << endl;

    return 0;
}